using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;


namespace FLY.ControlLibrary
{
    public class WindowBigClose:Window
    {
        ResourceDictionary resources;
        public WindowBigClose() 
        {
            InitializeStyle();
        }
        private void InitializeStyle()
        {
            resources =new ResourceDictionary();
            
            resources.Source = new Uri("pack://application:,,,/FLY.ControlLibrary;component/Themes/WindowBigCloseStyle.xaml", UriKind.Absolute);
            //resources.Source = new Uri("/Themes/WindowBigCloseStyle.xaml", UriKind.Relative);

            this.Style = (Style)resources["WindowBigCloseStyle"] as Style;

            MouseLeftButtonDown += Grid_MouseDown;
            Loaded += WindowBigClose_Loaded;
        }

        void WindowBigClose_Loaded(object sender, RoutedEventArgs e)
        {
            Button button_close = (Button)this.Template.FindName("button_close", this);
            button_close.Click += button_close_Click;
        }
        private void button_close_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }
        private void Grid_MouseDown(object sender, MouseButtonEventArgs e)
        {
            this.DragMove();
        }
    }
}
